| The Gaudi Framework v29r0 (ff2e7097)

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Static Public Member Functions | List of all members
ModuleLoadedIncident Class Reference

fired when a module (DLL) is loaded More...

`#include <GaudiKernel/ModuleIncident.h>`

Inheritance diagram for ModuleLoadedIncident:
[legend]
Collaboration diagram for ModuleLoadedIncident:
[legend]

## Public Member Functions
| ModuleLoadedIncident (std::string source, std::string module)
Public Member Functions inherited from ModuleIncident
const std::string & | module () const
| the model (DLL) being worked on More...
Public Member Functions inherited from Incident
| Incident (const std::string &source, const std::string &type)
| Default Constructor. More...
| Incident (const std::string &source, const std::string &type, const EventContext &ctx)
virtual | ~Incident ()=default
| Destructor. More...
const std::string & | type () const
| Access to the incident type. More...
const std::string & | source () const
| Access to the source of the incident. More...
EventContext | context () const
| Access to the EventContext of the source of the incident. More...

## Static Public Member Functions
static std::string | TYPE ()

## Additional Inherited Members
Protected Member Functions inherited from ModuleIncident
| ModuleIncident (std::string source, std::string type, std::string module)
virtual | ~ModuleIncident ()=default

## Detailed Description

fired when a module (DLL) is loaded

Author
  P. Calafiura

Definition at line 46 of file ModuleIncident.h.

## Constructor & Destructor Documentation

ModuleLoadedIncident::ModuleLoadedIncident | ( | std::string | source,
|  | std::string | module
| ) |  |
| inline

Definition at line 50 of file ModuleIncident.h.

53 : ModuleIncident( std::move( source ), TYPE(), std::move( module ) )
54 {
55 }
ModuleIncident::ModuleIncident
ModuleIncident(std::string source, std::string type, std::string module)
Definition: ModuleIncident.h:18
std::move
T move(T...args)
ModuleLoadedIncident::TYPE
static std::string TYPE()
Definition: ModuleIncident.h:49

## Member Function Documentation

static std::string ModuleLoadedIncident::TYPE | ( |  | ) |
| inline static

Definition at line 49 of file ModuleIncident.h.

49 { return "ModuleLoaded"; }

The documentation for this class was generated from the following file:

- GaudiKernel/GaudiKernel/ModuleIncident.h